This module attempts to match various characteristics of the packet
creator, for locally-generated packets.  It is only valid in the
.B OUTPUT
chain, and even this some packets (such as ICMPv6 ping responses) may
have no owner, and hence never match.  This is regarded as experimental.
.TP
.BI "--uid-owner " "userid"
Matches if the packet was created by a process with the given
effective user id.
.TP
.BI "--gid-owner " "groupid"
Matches if the packet was created by a process with the given
effective group id.
.TP
.BI "--pid-owner " "processid"
Matches if the packet was created by a process with the given
process id.
(Please note: This option requires kernel support that
might not be available in official Linux kernel sources or
Debian's packaged Linux kernel sources.
And if support for this option is available for the 
specific Linux kernel source version, that support might 
not be enabled in the current Linux kernel binary.)
.TP
.BI "--sid-owner " "sessionid"
Matches if the packet was created by a process in the given session
group.
(Please note: This option requires kernel support that
might not be available in official Linux kernel sources or
Debian's packaged Linux kernel sources.
And if support for this option is available for the 
specific Linux kernel source version, that support might 
not be enabled in the current Linux kernel binary.)
.TP
.B NOTE: pid, sid and command matching are broken on SMP
